package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.device.model.DeviceEntity;
/**
* 设备查询对象
*
* @author zxfei
* @date 2021-11-19
*/
public class DeviceQuery extends DeviceEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 用户ID */
    private Long customerIdStart;

    /** 结束 用户ID */
    private Long customerIdEnd;

    /** 增加 用户ID */
    private Long customerIdIncrement;

    /** 用户ID列表 */
    private List <Long> customerIdList;

    /** 开始 产品 */
    private Long productIdStart;

    /** 结束 产品 */
    private Long productIdEnd;

    /** 增加 产品 */
    private Long productIdIncrement;

    /** 产品列表 */
    private List <Long> productIdList;

    /** 设备名称，设置设备名称。 设备名称在产品内具有唯一性。支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~32个字符。 */
    private List<String> deviceNameList;

    /** 设备备注，设置备注名称。支持中文、英文字母、日文、数字和下划线（_），长度限制为4~64个字符， */
    private List<String> deviceRemarkList;

    /** 平台为设备颁发的设备密钥，用于认证加密。需与DeviceName成对使用。 */
    private List<String> deviceSecretList;

    /** 平台为产品颁发的全局唯一标识符 */
    private List<String> productKeyList;

    /** 开始 连接状态，(0.离线，1.在线，2.未激活) */
    private Integer connectStatusStart;

    /** 结束 连接状态，(0.离线，1.在线，2.未激活) */
    private Integer connectStatusEnd;

    /** 增加 连接状态，(0.离线，1.在线，2.未激活) */
    private Integer connectStatusIncrement;

    /** 连接状态，(0.离线，1.在线，2.未激活)列表 */
    private List <Integer> connectStatusList;

    /** 开始 启用状态 (0.停用，1.启用，2.测试) */
    private Integer useStatusStart;

    /** 结束 启用状态 (0.停用，1.启用，2.测试) */
    private Integer useStatusEnd;

    /** 增加 启用状态 (0.停用，1.启用，2.测试) */
    private Integer useStatusIncrement;

    /** 启用状态 (0.停用，1.启用，2.测试)列表 */
    private List <Integer> useStatusList;

    /** 开始 最近上线时间 */
    private String onlineTimeStart;

    /** 结束 最近上线时间 */
    private String onlineTimeEnd;

    /** 开始 最近离线时间 */
    private String offlineTimeStart;

    /** 结束 最近离线时间 */
    private String offlineTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceQuery> andConditionList;

    public DeviceQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 用户ID
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 用户ID
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 用户ID
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 用户ID
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 开始 产品
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 设备名称，设置设备名称。 设备名称在产品内具有唯一性。支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~32个字符。
    * @return deviceNameList
    */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
    * 设置 设备名称，设置设备名称。 设备名称在产品内具有唯一性。支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~32个字符。
    * @param deviceNameList
    */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }
    /**
    * 获取 设备备注，设置备注名称。支持中文、英文字母、日文、数字和下划线（_），长度限制为4~64个字符，
    * @return deviceRemarkList
    */
    public List<String> getDeviceRemarkList(){
        return this.deviceRemarkList;
    }

    /**
    * 设置 设备备注，设置备注名称。支持中文、英文字母、日文、数字和下划线（_），长度限制为4~64个字符，
    * @param deviceRemarkList
    */
    public void setDeviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
    }
    /**
    * 获取 平台为设备颁发的设备密钥，用于认证加密。需与DeviceName成对使用。
    * @return deviceSecretList
    */
    public List<String> getDeviceSecretList(){
        return this.deviceSecretList;
    }

    /**
    * 设置 平台为设备颁发的设备密钥，用于认证加密。需与DeviceName成对使用。
    * @param deviceSecretList
    */
    public void setDeviceSecretList(List<String> deviceSecretList){
        this.deviceSecretList = deviceSecretList;
    }
    /**
    * 获取 平台为产品颁发的全局唯一标识符
    * @return productKeyList
    */
    public List<String> getProductKeyList(){
        return this.productKeyList;
    }

    /**
    * 设置 平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public void setProductKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
    }
    /**
    * 获取 开始 连接状态，(0.离线，1.在线，2.未激活)
    * @return connectStatusStart
    */
    public Integer getConnectStatusStart(){
        return this.connectStatusStart;
    }

    /**
    * 设置 开始 连接状态，(0.离线，1.在线，2.未激活)
    * @param connectStatusStart
    */
    public void setConnectStatusStart(Integer connectStatusStart){
        this.connectStatusStart = connectStatusStart;
    }

    /**
    * 获取 结束 连接状态，(0.离线，1.在线，2.未激活)
    * @return $connectStatusEnd
    */
    public Integer getConnectStatusEnd(){
        return this.connectStatusEnd;
    }

    /**
    * 设置 结束 连接状态，(0.离线，1.在线，2.未激活)
    * @param connectStatusEnd
    */
    public void setConnectStatusEnd(Integer connectStatusEnd){
        this.connectStatusEnd = connectStatusEnd;
    }

    /**
    * 获取 增加 连接状态，(0.离线，1.在线，2.未激活)
    * @return connectStatusIncrement
    */
    public Integer getConnectStatusIncrement(){
        return this.connectStatusIncrement;
    }

    /**
    * 设置 增加 连接状态，(0.离线，1.在线，2.未激活)
    * @param connectStatusIncrement
    */
    public void setConnectStatusIncrement(Integer connectStatusIncrement){
        this.connectStatusIncrement = connectStatusIncrement;
    }

    /**
    * 获取 连接状态，(0.离线，1.在线，2.未激活)
    * @return connectStatusList
    */
    public List<Integer> getConnectStatusList(){
        return this.connectStatusList;
    }

    /**
    * 设置 连接状态，(0.离线，1.在线，2.未激活)
    * @param connectStatusList
    */
    public void setConnectStatusList(List<Integer> connectStatusList){
        this.connectStatusList = connectStatusList;
    }

    /**
    * 获取 开始 启用状态 (0.停用，1.启用，2.测试)
    * @return useStatusStart
    */
    public Integer getUseStatusStart(){
        return this.useStatusStart;
    }

    /**
    * 设置 开始 启用状态 (0.停用，1.启用，2.测试)
    * @param useStatusStart
    */
    public void setUseStatusStart(Integer useStatusStart){
        this.useStatusStart = useStatusStart;
    }

    /**
    * 获取 结束 启用状态 (0.停用，1.启用，2.测试)
    * @return $useStatusEnd
    */
    public Integer getUseStatusEnd(){
        return this.useStatusEnd;
    }

    /**
    * 设置 结束 启用状态 (0.停用，1.启用，2.测试)
    * @param useStatusEnd
    */
    public void setUseStatusEnd(Integer useStatusEnd){
        this.useStatusEnd = useStatusEnd;
    }

    /**
    * 获取 增加 启用状态 (0.停用，1.启用，2.测试)
    * @return useStatusIncrement
    */
    public Integer getUseStatusIncrement(){
        return this.useStatusIncrement;
    }

    /**
    * 设置 增加 启用状态 (0.停用，1.启用，2.测试)
    * @param useStatusIncrement
    */
    public void setUseStatusIncrement(Integer useStatusIncrement){
        this.useStatusIncrement = useStatusIncrement;
    }

    /**
    * 获取 启用状态 (0.停用，1.启用，2.测试)
    * @return useStatusList
    */
    public List<Integer> getUseStatusList(){
        return this.useStatusList;
    }

    /**
    * 设置 启用状态 (0.停用，1.启用，2.测试)
    * @param useStatusList
    */
    public void setUseStatusList(List<Integer> useStatusList){
        this.useStatusList = useStatusList;
    }

    /**
    * 获取 开始 最近上线时间
    * @return onlineTimeStart
    */
    public String getOnlineTimeStart(){
        return this.onlineTimeStart;
    }

    /**
    * 设置 开始 最近上线时间
    * @param onlineTimeStart
    */
    public void setOnlineTimeStart(String onlineTimeStart){
        this.onlineTimeStart = onlineTimeStart;
    }

    /**
    * 获取 结束 最近上线时间
    * @return onlineTimeEnd
    */
    public String getOnlineTimeEnd(){
        return this.onlineTimeEnd;
    }

    /**
    * 设置 结束 最近上线时间
    * @param onlineTimeEnd
    */
    public void setOnlineTimeEnd(String onlineTimeEnd){
        this.onlineTimeEnd = onlineTimeEnd;
    }

    /**
    * 获取 开始 最近离线时间
    * @return offlineTimeStart
    */
    public String getOfflineTimeStart(){
        return this.offlineTimeStart;
    }

    /**
    * 设置 开始 最近离线时间
    * @param offlineTimeStart
    */
    public void setOfflineTimeStart(String offlineTimeStart){
        this.offlineTimeStart = offlineTimeStart;
    }

    /**
    * 获取 结束 最近离线时间
    * @return offlineTimeEnd
    */
    public String getOfflineTimeEnd(){
        return this.offlineTimeEnd;
    }

    /**
    * 设置 结束 最近离线时间
    * @param offlineTimeEnd
    */
    public void setOfflineTimeEnd(String offlineTimeEnd){
        this.offlineTimeEnd = offlineTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DeviceQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DeviceQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DeviceQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DeviceQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DeviceQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  用户ID
    * @param customerId
    */
    public DeviceQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public DeviceQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public DeviceQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public DeviceQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public DeviceQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }

    /**
    * 设置  产品
    * @param productId
    */
    public DeviceQuery productId(Long productId){
	    setProductId(productId);
		return this;
    }
	
	 /**
    * 设置 开始 产品
    * @param productIdStart
    */
    public DeviceQuery productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品
    * @param productIdEnd
    */
    public DeviceQuery productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品
    * @param productIdIncrement
    */
    public DeviceQuery productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品
    * @param productIdList
    */
    public DeviceQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }


	/**
    * 设置 设备名称，设置设备名称。 设备名称在产品内具有唯一性。支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~32个字符。
    * @param deviceName
    */
    public DeviceQuery deviceName(String deviceName){
        setDeviceName(deviceName);
		return this;
    }

    /**
    * 设置 设备名称，设置设备名称。 设备名称在产品内具有唯一性。支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~32个字符。
    * @param deviceNameList
    */
    public DeviceQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
		return this;
    }


	/**
    * 设置 设备备注，设置备注名称。支持中文、英文字母、日文、数字和下划线（_），长度限制为4~64个字符，
    * @param deviceRemark
    */
    public DeviceQuery deviceRemark(String deviceRemark){
        setDeviceRemark(deviceRemark);
		return this;
    }

    /**
    * 设置 设备备注，设置备注名称。支持中文、英文字母、日文、数字和下划线（_），长度限制为4~64个字符，
    * @param deviceRemarkList
    */
    public DeviceQuery deviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
		return this;
    }


	/**
    * 设置 平台为设备颁发的设备密钥，用于认证加密。需与DeviceName成对使用。
    * @param deviceSecret
    */
    public DeviceQuery deviceSecret(String deviceSecret){
        setDeviceSecret(deviceSecret);
		return this;
    }

    /**
    * 设置 平台为设备颁发的设备密钥，用于认证加密。需与DeviceName成对使用。
    * @param deviceSecretList
    */
    public DeviceQuery deviceSecretList(List<String> deviceSecretList){
        this.deviceSecretList = deviceSecretList;
		return this;
    }


	/**
    * 设置 平台为产品颁发的全局唯一标识符
    * @param productKey
    */
    public DeviceQuery productKey(String productKey){
        setProductKey(productKey);
		return this;
    }

    /**
    * 设置 平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public DeviceQuery productKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
		return this;
    }

    /**
    * 设置  连接状态，(0.离线，1.在线，2.未激活)
    * @param connectStatus
    */
    public DeviceQuery connectStatus(Integer connectStatus){
	    setConnectStatus(connectStatus);
		return this;
    }
	
	 /**
    * 设置 开始 连接状态，(0.离线，1.在线，2.未激活)
    * @param connectStatusStart
    */
    public DeviceQuery connectStatusStart(Integer connectStatusStart){
		this.connectStatusStart = connectStatusStart;
		return this;
    }

    /**
    * 设置 结束 连接状态，(0.离线，1.在线，2.未激活)
    * @param connectStatusEnd
    */
    public DeviceQuery connectStatusEnd(Integer connectStatusEnd){
		this.connectStatusEnd = connectStatusEnd;
		return this;
    }

    /**
    * 设置 增加 连接状态，(0.离线，1.在线，2.未激活)
    * @param connectStatusIncrement
    */
    public DeviceQuery connectStatusIncrement(Integer connectStatusIncrement){
		this.connectStatusIncrement = connectStatusIncrement;
		return this;
    }

    /**
    * 设置 连接状态，(0.离线，1.在线，2.未激活)
    * @param connectStatusList
    */
    public DeviceQuery connectStatusList(List<Integer> connectStatusList){
        this.connectStatusList = connectStatusList;
		return this;
        }

    /**
    * 设置  启用状态 (0.停用，1.启用，2.测试)
    * @param useStatus
    */
    public DeviceQuery useStatus(Integer useStatus){
	    setUseStatus(useStatus);
		return this;
    }
	
	 /**
    * 设置 开始 启用状态 (0.停用，1.启用，2.测试)
    * @param useStatusStart
    */
    public DeviceQuery useStatusStart(Integer useStatusStart){
		this.useStatusStart = useStatusStart;
		return this;
    }

    /**
    * 设置 结束 启用状态 (0.停用，1.启用，2.测试)
    * @param useStatusEnd
    */
    public DeviceQuery useStatusEnd(Integer useStatusEnd){
		this.useStatusEnd = useStatusEnd;
		return this;
    }

    /**
    * 设置 增加 启用状态 (0.停用，1.启用，2.测试)
    * @param useStatusIncrement
    */
    public DeviceQuery useStatusIncrement(Integer useStatusIncrement){
		this.useStatusIncrement = useStatusIncrement;
		return this;
    }

    /**
    * 设置 启用状态 (0.停用，1.启用，2.测试)
    * @param useStatusList
    */
    public DeviceQuery useStatusList(List<Integer> useStatusList){
        this.useStatusList = useStatusList;
		return this;
        }



    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DeviceQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DeviceQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DeviceQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DeviceQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DeviceQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeviceQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeviceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeviceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeviceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}